回归之路(二):WordPress需要访问您网页服务器的权限。

         这个是个老蛋疼问题了,我的VPS根本没打算安装FTP泥煤的叫我怎么填?填什么?搞基啊!这鸡巴问题经常遇到,只知道是权限问题可是一直没有办法有效的解决。全部文件777也不能解决,chmod -R 755 也没啥效果。到底要我怎么办呢?网上找了半天终于找到了解决办法了,原来是我只修改了文件夹权限却没有修改用户组权限。

问题:升级插件和升级WP新版本时提示要执行请求的操作,wordpress需要访问您网页服务器的权限。

《回归之路(二):WordPress需要访问您网页服务器的权限。》

解决办法:

首先修改WordPress 的权限,需要有写的权限:
chmod -R 755 /root/22vk.com
解释:chmod是修改文件(夹)权限的命令,这里加了一个R参数,就是把WordPress文件夹内的所有文件(夹)的权限都修改为755

然后执行如下命令:
chown -R www /root/22vk.com
解释: chown是修改文件(夹)用户组的命令,参数R的作用和 chmod 的一样,不过执行此命令需要有root权限。
这样假设你的PHP的用户组是www,修改完以后再去尝试WP的自动升级,一键升级就能顺利进行了。

注意:命令后红色部分为你网站的实际目录,个体路径会有差异,请注意修改成你自己的路径。

点赞
  1. 77说道:

    你个二货,让你递归的吧。

    1. k.devil说道:

      你妹的!!!!!

  2. las artes说道:

    首先是“initial mode”,接收到html符号后将转换为“before html”模式,在这个模式中对这个符号进行再处理。此时,创建了一个HTMLHtmlElement元素,并将其附加到根Document对象上。

发表评论

电子邮件地址不会被公开。 必填项已用*标注